a=read.table("solutions.BayesCPi100000",header=T)
col=rep(c("blue","green"),each=5000)

# effects
snps=subset(a,effect==2)
plot(snps$solution**2,col=col)
abline(v=1000,col="red")
abline(v=3657,col="red")
abline(v=6000,col="red")
abline(v=6662,col="red")

freq=scan("freq")
var=2*freq*(1-freq)*snps$solution**2
# chunks of n SNPs
chunk=100
localvar=rep(NA,length(var))
# 1st chromosome
for (i in 1:5000){
        first=i
        last=min(5000,i+chunk-1)
        localvar[i]=mean(var[first:last])
}  
# 2nd chromosome
for (i in 5001:length(var)){
        first=i
        last=min(length(var),i+chunk-1)
        localvar[i]=mean(var[first:last])
}  
plot(localh2,col=col)
abline(v=1000,col="red")
abline(v=3657,col="red")
abline(v=6000,col="red")
abline(v=6662,col="red")

# BF, logarithmic scale
BF=999*snps$p/(1-snps$p)
plot(log10(BF),col=col)
abline(v=1000,col="red")
abline(v=3657,col="red")
abline(v=6000,col="red")
abline(v=6662,col="red")
# strong signal
abline(h=log10(150),col="red")

